Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-0709

Overview

Vulnerability Score 4.6 4.6
CVE Id CVE-2005-0709
Last Modified 07 Mar 2011 09:20:28
Published 02 May 2005 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2005-0709

Summary

MySQL 4.0.23 and earlier, and 4.1.x up to 4.1.10, allows remote authenticated users with INSERT and DELETE privileges to execute arbitrary code by using CREATE FUNCTION to access libc calls, as demonstrated by using strcat, on_exit, and exit.

Vulnerable Systems

Application

  • Mysql 3.23.49

  • Mysql 4.0.0

  • Mysql 4.0.1

  • Mysql 4.0.10

  • Mysql 4.0.11

  • Mysql 4.0.12

  • Mysql 4.0.13

  • Mysql 4.0.14

  • Mysql 4.0.15

  • Mysql 4.0.18

  • Mysql 4.0.2

  • Mysql 4.0.20

  • Mysql 4.0.21

  • Mysql 4.0.23

  • Mysql 4.0.3

  • Mysql 4.0.4

  • Mysql 4.0.5

  • Mysql 4.0.5a

  • Mysql 4.0.6

  • Mysql 4.0.7

  • Mysql 4.0.8

  • Mysql 4.0.9

  • Mysql 4.1.0

  • Mysql 4.1.0.0

  • Mysql 4.1.10

  • Mysql 4.1.2

  • Mysql 4.1.3

  • Mysql 4.1.4

  • Mysql 4.1.5


References

TRUSTIX - 2005-0009

BID - 12781

SUSE - SUSE-SA:2005:019

GENTOO - GLSA-200503-19

DEBIAN - DSA-707

UBUNTU - USN-96-1

REDHAT - RHSA-2005:348

REDHAT - RHSA-2005:334

MANDRAKE - MDKSA-2005:060

SUNALERT - 101864

BUGTRAQ - 20050310 Mysql CREATE FUNCTION libc arbitrary code execution.

APPLE - APPLE-SA-2005-08-15

APPLE - APPLE-SA-2005-08-17


Last Updated: 27 May 2016 10:39:54